<?xml version="1.0" encoding="UTF-8"?>
<wsdl:definitions targetNamespace="urn:http://c-lab.de/wsdl/vkc/ws/axis/service/SharkService" xmlns:impl="urn:http://c-lab.de/wsdl/vkc/ws/axis/service/SharkService" xmlns:intf="urn:http://c-lab.de/wsdl/vkc/ws/axis/service/SharkService" xmlns:apachesoap="http://xml.apache.org/xml-soap" xmlns:wsdlsoap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:tns2="http://www.w3.org/1999/XMLSchema" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">
<!--WSDL created by Apache Axis version: 1.2alpha
Built on Dec 01, 2003 (04:33:24 EST)-->

   <wsdl:message name="isStdTResearchDoneRequest">

      <wsdl:part name="patentApplDocId" type="xsd:string"/>

   </wsdl:message>

   <wsdl:message name="getPatentCategoriesRequest">

      <wsdl:part name="patentApplDocId" type="xsd:string"/>

      <wsdl:part name="categoryId" type="xsd:string"/>

   </wsdl:message>

   <wsdl:message name="getSimilarPatentCategoriesResponse">

      <wsdl:part name="getSimilarPatentCategoriesReturn" type="xsd:string"/>

   </wsdl:message>

   <wsdl:message name="getNextVetoRequest">

      <wsdl:part name="patentApplDocId" type="xsd:string"/>

   </wsdl:message>

   <wsdl:message name="doInternetResearchRequest">

      <wsdl:part name="investigationDocId" type="xsd:string"/>

      <wsdl:part name="patentCatId" type="xsd:string"/>

   </wsdl:message>

   <wsdl:message name="doLiteratureResearchResponse">

      <wsdl:part name="doLiteratureResearchReturn" type="xsd:boolean"/>

   </wsdl:message>

   <wsdl:message name="existsAcceptedVetoRequest">

      <wsdl:part name="patentApplDocId" type="xsd:string"/>

   </wsdl:message>

   <wsdl:message name="setDynAttributeRequest">

      <wsdl:part name="patentDocumentId" type="xsd:string"/>

      <wsdl:part name="dynAttrKey" type="xsd:string"/>

      <wsdl:part name="dynAttrValue" type="xsd:string"/>

   </wsdl:message>

   <wsdl:message name="doInternetResearchResponse">

      <wsdl:part name="doInternetResearchReturn" type="xsd:boolean"/>

   </wsdl:message>

   <wsdl:message name="setPatentAcceptedRequest">

      <wsdl:part name="patentApplDocId" type="xsd:string"/>

      <wsdl:part name="patentAccepted" type="xsd:boolean"/>

   </wsdl:message>

   <wsdl:message name="computeSimilarStdTDocsRequest">

      <wsdl:part name="patentApplDocId" type="xsd:string"/>

   </wsdl:message>

   <wsdl:message name="getStdTSimilarPatentCategoriesRequest">

      <wsdl:part name="patentApplDocId" type="xsd:string"/>

      <wsdl:part name="categoryId" type="xsd:string"/>

   </wsdl:message>

   <wsdl:message name="setDynAttributeResponse">

      <wsdl:part name="setDynAttributeReturn" type="xsd:boolean"/>

   </wsdl:message>

   <wsdl:message name="getSummarizedPatentCategoriesResponse">

      <wsdl:part name="getSummarizedPatentCategoriesReturn" type="xsd:string"/>

   </wsdl:message>

   <wsdl:message name="getNextVetoResponse">

      <wsdl:part name="getNextVetoReturn" type="xsd:string"/>

   </wsdl:message>

   <wsdl:message name="doPatentDocumentPreparationRequest">

      <wsdl:part name="patentApplDocId" type="xsd:string"/>

   </wsdl:message>

   <wsdl:message name="getSimilarPatentCategoriesRequest">

      <wsdl:part name="patentApplDocId" type="xsd:string"/>

      <wsdl:part name="categoryId" type="xsd:string"/>

   </wsdl:message>

   <wsdl:message name="validityCheckRequest">

      <wsdl:part name="processname" type="xsd:string"/>

      <wsdl:part name="categoryId" type="xsd:string"/>

   </wsdl:message>

   <wsdl:message name="getStdTSimilarPatentCategoriesResponse">

      <wsdl:part name="getStdTSimilarPatentCategoriesReturn" type="xsd:string"/>

   </wsdl:message>

   <wsdl:message name="computeSimilarStdTDocsResponse">

      <wsdl:part name="computeSimilarStdTDocsReturn" type="xsd:boolean"/>

   </wsdl:message>

   <wsdl:message name="getNextNewDocRequest">

      <wsdl:part name="categoryId" type="xsd:string"/>

   </wsdl:message>

   <wsdl:message name="isAllVetoProcessedResponse">

      <wsdl:part name="isAllVetoProcessedReturn" type="xsd:boolean"/>

   </wsdl:message>

   <wsdl:message name="doPatentDocumentPreparationResponse">

      <wsdl:part name="doPatentDocumentPreparationReturn" type="xsd:boolean"/>

   </wsdl:message>

   <wsdl:message name="existsAcceptedVetoResponse">

      <wsdl:part name="existsAcceptedVetoReturn" type="xsd:boolean"/>

   </wsdl:message>

   <wsdl:message name="setPatentAcceptedResponse">

      <wsdl:part name="setPatentAcceptedReturn" type="xsd:boolean"/>

   </wsdl:message>

   <wsdl:message name="getPatentCategoriesResponse">

      <wsdl:part name="getPatentCategoriesReturn" type="xsd:string"/>

   </wsdl:message>

   <wsdl:message name="getStdTDocumentRequest">

      <wsdl:part name="patentApplDocId" type="xsd:string"/>

   </wsdl:message>

   <wsdl:message name="isStdTResearchDoneResponse">

      <wsdl:part name="isStdTResearchDoneReturn" type="xsd:boolean"/>

   </wsdl:message>

   <wsdl:message name="getNextNewDocResponse">

      <wsdl:part name="getNextNewDocReturn" type="xsd:string"/>

   </wsdl:message>

   <wsdl:message name="getSummarizedPatentCategoriesRequest">

      <wsdl:part name="patentApplDocId" type="xsd:string"/>

      <wsdl:part name="categoryId" type="xsd:string"/>

   </wsdl:message>

   <wsdl:message name="getNextSimilarStdTDocRequest">

      <wsdl:part name="patentApplDocId" type="xsd:string"/>

   </wsdl:message>

   <wsdl:message name="isAllVetoProcessedRequest">

      <wsdl:part name="patentApplDocId" type="xsd:string"/>

   </wsdl:message>

   <wsdl:message name="validityCheckResponse">

      <wsdl:part name="validityCheckReturn" type="xsd:boolean"/>

   </wsdl:message>

   <wsdl:message name="getStdTDocumentResponse">

      <wsdl:part name="getStdTDocumentReturn" type="xsd:string"/>

   </wsdl:message>

   <wsdl:message name="getNextSimilarStdTDocResponse">

      <wsdl:part name="getNextSimilarStdTDocReturn" type="xsd:string"/>

   </wsdl:message>

   <wsdl:message name="doLiteratureResearchRequest">

      <wsdl:part name="investigationDocId" type="xsd:string"/>

      <wsdl:part name="patentCategoryId" type="xsd:string"/>

   </wsdl:message>

   <wsdl:portType name="SharkService">

      <wsdl:operation name="validityCheck" parameterOrder="processname categoryId">

         <wsdl:input name="validityCheckRequest" message="impl:validityCheckRequest"/>

         <wsdl:output name="validityCheckResponse" message="impl:validityCheckResponse"/>

      </wsdl:operation>

      <wsdl:operation name="getNextNewDoc" parameterOrder="categoryId">

         <wsdl:input name="getNextNewDocRequest" message="impl:getNextNewDocRequest"/>

         <wsdl:output name="getNextNewDocResponse" message="impl:getNextNewDocResponse"/>

      </wsdl:operation>

      <wsdl:operation name="setDynAttribute" parameterOrder="patentDocumentId dynAttrKey dynAttrValue">

         <wsdl:input name="setDynAttributeRequest" message="impl:setDynAttributeRequest"/>

         <wsdl:output name="setDynAttributeResponse" message="impl:setDynAttributeResponse"/>

      </wsdl:operation>

      <wsdl:operation name="doPatentDocumentPreparation" parameterOrder="patentApplDocId">

         <wsdl:input name="doPatentDocumentPreparationRequest" message="impl:doPatentDocumentPreparationRequest"/>

         <wsdl:output name="doPatentDocumentPreparationResponse" message="impl:doPatentDocumentPreparationResponse"/>

      </wsdl:operation>

      <wsdl:operation name="getPatentCategories" parameterOrder="patentApplDocId categoryId">

         <wsdl:input name="getPatentCategoriesRequest" message="impl:getPatentCategoriesRequest"/>

         <wsdl:output name="getPatentCategoriesResponse" message="impl:getPatentCategoriesResponse"/>

      </wsdl:operation>

      <wsdl:operation name="getSimilarPatentCategories" parameterOrder="patentApplDocId categoryId">

         <wsdl:input name="getSimilarPatentCategoriesRequest" message="impl:getSimilarPatentCategoriesRequest"/>

         <wsdl:output name="getSimilarPatentCategoriesResponse" message="impl:getSimilarPatentCategoriesResponse"/>

      </wsdl:operation>

      <wsdl:operation name="getStdTSimilarPatentCategories" parameterOrder="patentApplDocId categoryId">

         <wsdl:input name="getStdTSimilarPatentCategoriesRequest" message="impl:getStdTSimilarPatentCategoriesRequest"/>

         <wsdl:output name="getStdTSimilarPatentCategoriesResponse" message="impl:getStdTSimilarPatentCategoriesResponse"/>

      </wsdl:operation>

      <wsdl:operation name="getSummarizedPatentCategories" parameterOrder="patentApplDocId categoryId">

         <wsdl:input name="getSummarizedPatentCategoriesRequest" message="impl:getSummarizedPatentCategoriesRequest"/>

         <wsdl:output name="getSummarizedPatentCategoriesResponse" message="impl:getSummarizedPatentCategoriesResponse"/>

      </wsdl:operation>

      <wsdl:operation name="getNextVeto" parameterOrder="patentApplDocId">

         <wsdl:input name="getNextVetoRequest" message="impl:getNextVetoRequest"/>

         <wsdl:output name="getNextVetoResponse" message="impl:getNextVetoResponse"/>

      </wsdl:operation>

      <wsdl:operation name="isAllVetoProcessed" parameterOrder="patentApplDocId">

         <wsdl:input name="isAllVetoProcessedRequest" message="impl:isAllVetoProcessedRequest"/>

         <wsdl:output name="isAllVetoProcessedResponse" message="impl:isAllVetoProcessedResponse"/>

      </wsdl:operation>

      <wsdl:operation name="existsAcceptedVeto" parameterOrder="patentApplDocId">

         <wsdl:input name="existsAcceptedVetoRequest" message="impl:existsAcceptedVetoRequest"/>

         <wsdl:output name="existsAcceptedVetoResponse" message="impl:existsAcceptedVetoResponse"/>

      </wsdl:operation>

      <wsdl:operation name="getStdTDocument" parameterOrder="patentApplDocId">

         <wsdl:input name="getStdTDocumentRequest" message="impl:getStdTDocumentRequest"/>

         <wsdl:output name="getStdTDocumentResponse" message="impl:getStdTDocumentResponse"/>

      </wsdl:operation>

      <wsdl:operation name="doLiteratureResearch" parameterOrder="investigationDocId patentCategoryId">

         <wsdl:input name="doLiteratureResearchRequest" message="impl:doLiteratureResearchRequest"/>

         <wsdl:output name="doLiteratureResearchResponse" message="impl:doLiteratureResearchResponse"/>

      </wsdl:operation>

      <wsdl:operation name="doInternetResearch" parameterOrder="investigationDocId patentCatId">

         <wsdl:input name="doInternetResearchRequest" message="impl:doInternetResearchRequest"/>

         <wsdl:output name="doInternetResearchResponse" message="impl:doInternetResearchResponse"/>

      </wsdl:operation>

      <wsdl:operation name="computeSimilarStdTDocs" parameterOrder="patentApplDocId">

         <wsdl:input name="computeSimilarStdTDocsRequest" message="impl:computeSimilarStdTDocsRequest"/>

         <wsdl:output name="computeSimilarStdTDocsResponse" message="impl:computeSimilarStdTDocsResponse"/>

      </wsdl:operation>

      <wsdl:operation name="getNextSimilarStdTDoc" parameterOrder="patentApplDocId">

         <wsdl:input name="getNextSimilarStdTDocRequest" message="impl:getNextSimilarStdTDocRequest"/>

         <wsdl:output name="getNextSimilarStdTDocResponse" message="impl:getNextSimilarStdTDocResponse"/>

      </wsdl:operation>

      <wsdl:operation name="isStdTResearchDone" parameterOrder="patentApplDocId">

         <wsdl:input name="isStdTResearchDoneRequest" message="impl:isStdTResearchDoneRequest"/>

         <wsdl:output name="isStdTResearchDoneResponse" message="impl:isStdTResearchDoneResponse"/>

      </wsdl:operation>

      <wsdl:operation name="setPatentAccepted" parameterOrder="patentApplDocId patentAccepted">

         <wsdl:input name="setPatentAcceptedRequest" message="impl:setPatentAcceptedRequest"/>

         <wsdl:output name="setPatentAcceptedResponse" message="impl:setPatentAcceptedResponse"/>

      </wsdl:operation>

   </wsdl:portType>

   <wsdl:binding name="SharkServiceSoapBinding" type="impl:SharkService">

      <wsdlsoap:binding style="rpc" transport="http://schemas.xmlsoap.org/soap/http"/>

      <wsdl:operation name="validityCheck">

         <wsdlsoap:operation soapAction=""/>

         <wsdl:input name="validityCheckRequest">

            <wsdlsoap:body use="encoded" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/" namespace="urn:http://c-lab.de/wsdl/vkc/ws/axis/service/SharkService"/>

         </wsdl:input>

         <wsdl:output name="validityCheckResponse">

            <wsdlsoap:body use="encoded" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/" namespace="urn:http://c-lab.de/wsdl/vkc/ws/axis/service/SharkService"/>

         </wsdl:output>

      </wsdl:operation>

      <wsdl:operation name="getNextNewDoc">

         <wsdlsoap:operation soapAction=""/>

         <wsdl:input name="getNextNewDocRequest">

            <wsdlsoap:body use="encoded" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/" namespace="urn:http://c-lab.de/wsdl/vkc/ws/axis/service/SharkService"/>

         </wsdl:input>

         <wsdl:output name="getNextNewDocResponse">

            <wsdlsoap:body use="encoded" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/" namespace="urn:http://c-lab.de/wsdl/vkc/ws/axis/service/SharkService"/>

         </wsdl:output>

      </wsdl:operation>

      <wsdl:operation name="setDynAttribute">

         <wsdlsoap:operation soapAction=""/>

         <wsdl:input name="setDynAttributeRequest">

            <wsdlsoap:body use="encoded" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/" namespace="urn:http://c-lab.de/wsdl/vkc/ws/axis/service/SharkService"/>

         </wsdl:input>

         <wsdl:output name="setDynAttributeResponse">

            <wsdlsoap:body use="encoded" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/" namespace="urn:http://c-lab.de/wsdl/vkc/ws/axis/service/SharkService"/>

         </wsdl:output>

      </wsdl:operation>

      <wsdl:operation name="doPatentDocumentPreparation">

         <wsdlsoap:operation soapAction=""/>

         <wsdl:input name="doPatentDocumentPreparationRequest">

            <wsdlsoap:body use="encoded" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/" namespace="urn:http://c-lab.de/wsdl/vkc/ws/axis/service/SharkService"/>

         </wsdl:input>

         <wsdl:output name="doPatentDocumentPreparationResponse">

            <wsdlsoap:body use="encoded" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/" namespace="urn:http://c-lab.de/wsdl/vkc/ws/axis/service/SharkService"/>

         </wsdl:output>

      </wsdl:operation>

      <wsdl:operation name="getPatentCategories">

         <wsdlsoap:operation soapAction=""/>

         <wsdl:input name="getPatentCategoriesRequest">

            <wsdlsoap:body use="encoded" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/" namespace="urn:http://c-lab.de/wsdl/vkc/ws/axis/service/SharkService"/>

         </wsdl:input>

         <wsdl:output name="getPatentCategoriesResponse">

            <wsdlsoap:body use="encoded" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/" namespace="urn:http://c-lab.de/wsdl/vkc/ws/axis/service/SharkService"/>

         </wsdl:output>

      </wsdl:operation>

      <wsdl:operation name="getSimilarPatentCategories">

         <wsdlsoap:operation soapAction=""/>

         <wsdl:input name="getSimilarPatentCategoriesRequest">

            <wsdlsoap:body use="encoded" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/" namespace="urn:http://c-lab.de/wsdl/vkc/ws/axis/service/SharkService"/>

         </wsdl:input>

         <wsdl:output name="getSimilarPatentCategoriesResponse">

            <wsdlsoap:body use="encoded" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/" namespace="urn:http://c-lab.de/wsdl/vkc/ws/axis/service/SharkService"/>

         </wsdl:output>

      </wsdl:operation>

      <wsdl:operation name="getStdTSimilarPatentCategories">

         <wsdlsoap:operation soapAction=""/>

         <wsdl:input name="getStdTSimilarPatentCategoriesRequest">

            <wsdlsoap:body use="encoded" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/" namespace="urn:http://c-lab.de/wsdl/vkc/ws/axis/service/SharkService"/>

         </wsdl:input>

         <wsdl:output name="getStdTSimilarPatentCategoriesResponse">

            <wsdlsoap:body use="encoded" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/" namespace="urn:http://c-lab.de/wsdl/vkc/ws/axis/service/SharkService"/>

         </wsdl:output>

      </wsdl:operation>

      <wsdl:operation name="getSummarizedPatentCategories">

         <wsdlsoap:operation soapAction=""/>

         <wsdl:input name="getSummarizedPatentCategoriesRequest">

            <wsdlsoap:body use="encoded" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/" namespace="urn:http://c-lab.de/wsdl/vkc/ws/axis/service/SharkService"/>

         </wsdl:input>

         <wsdl:output name="getSummarizedPatentCategoriesResponse">

            <wsdlsoap:body use="encoded" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/" namespace="urn:http://c-lab.de/wsdl/vkc/ws/axis/service/SharkService"/>

         </wsdl:output>

      </wsdl:operation>

      <wsdl:operation name="getNextVeto">

         <wsdlsoap:operation soapAction=""/>

         <wsdl:input name="getNextVetoRequest">

            <wsdlsoap:body use="encoded" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/" namespace="urn:http://c-lab.de/wsdl/vkc/ws/axis/service/SharkService"/>

         </wsdl:input>

         <wsdl:output name="getNextVetoResponse">

            <wsdlsoap:body use="encoded" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/" namespace="urn:http://c-lab.de/wsdl/vkc/ws/axis/service/SharkService"/>

         </wsdl:output>

      </wsdl:operation>

      <wsdl:operation name="isAllVetoProcessed">

         <wsdlsoap:operation soapAction=""/>

         <wsdl:input name="isAllVetoProcessedRequest">

            <wsdlsoap:body use="encoded" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/" namespace="urn:http://c-lab.de/wsdl/vkc/ws/axis/service/SharkService"/>

         </wsdl:input>

         <wsdl:output name="isAllVetoProcessedResponse">

            <wsdlsoap:body use="encoded" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/" namespace="urn:http://c-lab.de/wsdl/vkc/ws/axis/service/SharkService"/>

         </wsdl:output>

      </wsdl:operation>

      <wsdl:operation name="existsAcceptedVeto">

         <wsdlsoap:operation soapAction=""/>

         <wsdl:input name="existsAcceptedVetoRequest">

            <wsdlsoap:body use="encoded" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/" namespace="urn:http://c-lab.de/wsdl/vkc/ws/axis/service/SharkService"/>

         </wsdl:input>

         <wsdl:output name="existsAcceptedVetoResponse">

            <wsdlsoap:body use="encoded" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/" namespace="urn:http://c-lab.de/wsdl/vkc/ws/axis/service/SharkService"/>

         </wsdl:output>

      </wsdl:operation>

      <wsdl:operation name="getStdTDocument">

         <wsdlsoap:operation soapAction=""/>

         <wsdl:input name="getStdTDocumentRequest">

            <wsdlsoap:body use="encoded" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/" namespace="urn:http://c-lab.de/wsdl/vkc/ws/axis/service/SharkService"/>

         </wsdl:input>

         <wsdl:output name="getStdTDocumentResponse">

            <wsdlsoap:body use="encoded" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/" namespace="urn:http://c-lab.de/wsdl/vkc/ws/axis/service/SharkService"/>

         </wsdl:output>

      </wsdl:operation>

      <wsdl:operation name="doLiteratureResearch">

         <wsdlsoap:operation soapAction=""/>

         <wsdl:input name="doLiteratureResearchRequest">

            <wsdlsoap:body use="encoded" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/" namespace="urn:http://c-lab.de/wsdl/vkc/ws/axis/service/SharkService"/>

         </wsdl:input>

         <wsdl:output name="doLiteratureResearchResponse">

            <wsdlsoap:body use="encoded" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/" namespace="urn:http://c-lab.de/wsdl/vkc/ws/axis/service/SharkService"/>

         </wsdl:output>

      </wsdl:operation>

      <wsdl:operation name="doInternetResearch">

         <wsdlsoap:operation soapAction=""/>

         <wsdl:input name="doInternetResearchRequest">

            <wsdlsoap:body use="encoded" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/" namespace="urn:http://c-lab.de/wsdl/vkc/ws/axis/service/SharkService"/>

         </wsdl:input>

         <wsdl:output name="doInternetResearchResponse">

            <wsdlsoap:body use="encoded" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/" namespace="urn:http://c-lab.de/wsdl/vkc/ws/axis/service/SharkService"/>

         </wsdl:output>

      </wsdl:operation>

      <wsdl:operation name="computeSimilarStdTDocs">

         <wsdlsoap:operation soapAction=""/>

         <wsdl:input name="computeSimilarStdTDocsRequest">

            <wsdlsoap:body use="encoded" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/" namespace="urn:http://c-lab.de/wsdl/vkc/ws/axis/service/SharkService"/>

         </wsdl:input>

         <wsdl:output name="computeSimilarStdTDocsResponse">

            <wsdlsoap:body use="encoded" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/" namespace="urn:http://c-lab.de/wsdl/vkc/ws/axis/service/SharkService"/>

         </wsdl:output>

      </wsdl:operation>

      <wsdl:operation name="getNextSimilarStdTDoc">

         <wsdlsoap:operation soapAction=""/>

         <wsdl:input name="getNextSimilarStdTDocRequest">

            <wsdlsoap:body use="encoded" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/" namespace="urn:http://c-lab.de/wsdl/vkc/ws/axis/service/SharkService"/>

         </wsdl:input>

         <wsdl:output name="getNextSimilarStdTDocResponse">

            <wsdlsoap:body use="encoded" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/" namespace="urn:http://c-lab.de/wsdl/vkc/ws/axis/service/SharkService"/>

         </wsdl:output>

      </wsdl:operation>

      <wsdl:operation name="isStdTResearchDone">

         <wsdlsoap:operation soapAction=""/>

         <wsdl:input name="isStdTResearchDoneRequest">

            <wsdlsoap:body use="encoded" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/" namespace="urn:http://c-lab.de/wsdl/vkc/ws/axis/service/SharkService"/>

         </wsdl:input>

         <wsdl:output name="isStdTResearchDoneResponse">

            <wsdlsoap:body use="encoded" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/" namespace="urn:http://c-lab.de/wsdl/vkc/ws/axis/service/SharkService"/>

         </wsdl:output>

      </wsdl:operation>

      <wsdl:operation name="setPatentAccepted">

         <wsdlsoap:operation soapAction=""/>

         <wsdl:input name="setPatentAcceptedRequest">

            <wsdlsoap:body use="encoded" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/" namespace="urn:http://c-lab.de/wsdl/vkc/ws/axis/service/SharkService"/>

         </wsdl:input>

         <wsdl:output name="setPatentAcceptedResponse">

            <wsdlsoap:body use="encoded" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/" namespace="urn:http://c-lab.de/wsdl/vkc/ws/axis/service/SharkService"/>

         </wsdl:output>

      </wsdl:operation>

   </wsdl:binding>

   <wsdl:service name="SharkServiceService">

      <wsdl:port name="SharkService" binding="impl:SharkServiceSoapBinding">

         <wsdlsoap:address location="http://localhost:80/VKC3/services/SharkService"/>

      </wsdl:port>

   </wsdl:service>

</wsdl:definitions>
